﻿$ErrorActionPreference = 'Stop'; # stop on all errors

$packageName= 'glaryutilities-free' # arbitrary name for the package, used in messages
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url         = 'http://download.glarysoft.com/gu5setup.exe'
$checksum    = '1791c30dadd9de2d2a90c623498d23081867bd2696589593afc6fe99b991e69a'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url
  url64bit      = $url

  softwareName  = 'Glary Utilities'

  checksum       = $checksum
  checksum64     = $checksum
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  
  validExitCodes= @(0, 3010, 1641)
  silentArgs   = '/S  /NORESTART '
}

Install-ChocolateyPackage @packageArgs
